Finish Tracking
This service completes the tracking process and must be called at the end of all validations in the Onboarding or Authentication flows. When this service is integrated, it is not necessary to invoke the closeSession method of the SDK Mobile/Web.
Endpoint
POST /services/finishTrackingHeaders
x-api-key
string
Yes
Access authorization API Key.
family
string
No
Value: Onboarding or Authentication, depending on the flow. Required with the tracking service.
Request body
Content-Type: application/json
Parameters
family
string
Yes
Possible values: Authentication, Onboarding
status
string
Yes
Possible values: SUCCEEDED, DENIED, ERROR, CANCELLED, BLACKLISTED
extraData
string
Yes
Token generated by the SDK Mobile/Web. Contains tokenized tracking information.
Possible values of reason
""
No specific reason (successful operation)
DOCUMENT_VALIDATION_NOT_PASSED
The document validation was not passed
DOCUMENT_VALIDATION_ERROR
Error during document validation
FACIAL_AUTHENTICATION_NOT_PASSED
Facial authentication was not passed
FACIAL_LIVENESS_NOT_PASSED
The facial liveness check was not passed
FACIAL_AUTHENTICATION_ERROR
Error during facial authentication
FACIAL_LIVENESS_ERROR
Error during facial liveness check
BLACKLISTED_FACE_TEMPLATE
The facial template is blacklisted
ALREADY_REGISTERED
The user is already registered
MANUAL_STATUS_CHANGE
Manual status change
SECURITY_SERVICE_ERROR
Error in the security service
SELPHID_INTERNAL_ERROR
SelphID internal error
SELPHID_TIMEOUT
SelphID timeout
SELPHI_TIMEOUT
Selphi timeout
Request example
Responses
200 Success
Response parameters
trackingStatus
integer
Code that indicates the result of the execution of the tracking service. The value 201 indicates the service was processed without exceptions.
trackingMessage
string
Message that indicates the result of the execution of the tracking service. The value "FinishTrackingEvent: Ok" indicates processing without exceptions.
transactionId
string
Transaction identifier associated with the request processed by the API.
timestamp
string
Timestamp (UTC) of the response in YYYY-MM-DDThh🇲🇲ss.SSSZ
Response example
400 Bad Request
401 Unauthorized
403 Forbidden
502 Bad Gateway
504 Gateway Timeout
Last updated